Skip to main content
PUT
/
v2
/
folders
/
{id}
Update Folder
curl --request PUT \
  --url https://public.api.serval.com/v2/folders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parent": {
    "parentFolderId": "<string>"
  }
}
'
{
  "data": {
    "id": "<string>",
    "teamId": "<string>",
    "name": "<string>",
    "parentFolderId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the folder. The owning team is resolved from the folder.

Body

application/json
name
string | null

New name. Omit to leave the name unchanged.

parent
parent · object

New parent. Omit to leave the folder where it is; include it to move the folder (set parent_folder_id to move under that folder, or leave it unset to move the folder to the root).

Response

Success

data
data · object

The updated folder.